View Issue Details

IDProjectCategoryView StatusLast Update
00267692.x IDE BugsCompilingPublic2019-06-25 15:24
ReporterMark AlexanderAssigned ToAlexander Borup 
PriorityHighSeverityA - Crash/HangReproducibility<25%
Status ClosedResolutionFixed 
Product VersionPre-2.1.3 
Target Version2.2.3Fixed in Version2.2.3 
Summary0026769: Compiling: IDE can stall when a build is stopped, causing high CPU usage and must close via Task Manager
DescriptionWhen running a windows build on the VM I clicked the Stop button before the build had completed and the UI stalled. It became unresponsive and the CPU fan started up (looking at task manager it was up to 60% CPU use), making it look like it was still compiling. This didn't seem probable since I was building using the VM and it was a tiny test project, but I left it like this for a few minutes to see... nothing happened and IDE was still stalled and the cpu was still being used, so I force-closed from task manager.

UI log included
TagsBuild, IDE
2.x IDE Found In9.0.1.1015
2.x Runtime Found In9.9.1.575
2.x IDE Verified In
2.x Runtime Verified In

Relationships

child of 0030271 ClosedAlexander Borup General: Windows deadlock issue (dead Explorer instances and white screens for browser pages) 

Activities

Mark Alexander

2017-06-05 11:14

Developer  

ui.log (257,201 bytes)

Ross Manthorp

2017-06-06 09:42

Adminstrator   ~0053478

Try latest green cause network stuff has changed... Try to reproduce.

Stewart Bishop

2017-06-09 12:00

Developer  

log.txt (22,661 bytes)
[11:19:16:985(44cf)] **************************************  06/09/2017  **************************************
[11:19:16:987(44cf)] Log.Initialise
[11:19:16:987(44cf)] OpenGLCheck : Original Version String is ""
[11:19:17:11(44cf)] GameMakerStudio, Version=2.0.7.158, Culture=neutral, PublicKeyToken=83c29ed24e39e35e
[11:19:17:12(44cf)] Initialise()
[11:19:17:12(44cf)] Command line arguments=""
[11:19:17:154(44cf)] Unable to load DLL 'CSteamworks': The specified module could not be found. (Exception from HRESULT: 0x8007007E)
[11:19:17:193(44cf)] File exception 'Could not find file 'C:\ProgramData\GameMakerStudio2\Cache\Survey\surveys_done.json'.'
[11:19:17:365(44cf)] VerifyDLLs(1)
[11:19:17:368(44cf)] VerifySecurity C:\Program Files\GameMaker Studio 2\Graphics.dll
[11:19:17:441(44cf)] VerifySecurity C:\Program Files\GameMaker Studio 2\IDE.dll
[11:19:17:503(44cf)] VerifySecurity C:\Program Files\GameMaker Studio 2\OpenTK.dll
[11:19:17:535(44cf)] VerifySecurity C:\Program Files\GameMaker Studio 2\OSCore.dll
[11:19:17:546(44cf)] File exception 'Could not find a part of the path 'C:\Program Files\GameMaker Studio 2\user_cache_directory\Styles'.'
[11:19:17:547(44cf)] VerifySecurity C:\Program Files\GameMaker Studio 2\SharpFont.dll
[11:19:17:562(44cf)] VerifySecurity C:\Program Files\GameMaker Studio 2\Utils.dll
[11:19:17:577(44cf)] VerifySecurity C:\Program Files\GameMaker Studio 2\YYCodeEditor.dll
[11:19:17:599(44cf)] VerifySecurity C:\Program Files\GameMaker Studio 2\crypto.dll
[11:19:17:622(44cf)] VerifyDLLs(2)
[11:19:17:755(44cf)] File exception 'Could not find file 'C:\ProgramData\GameMakerStudio2\org_settings.json'.'
[11:19:17:756(44cf)] File exception 'Could not find file 'C:\ProgramData\GameMakerStudio2\machine_settings.json'.'
[11:19:19:457(44cf)] Initialise(1)
[11:19:19:493(44cf)] Initialise(2)
[11:19:19:495(44cf)] Initialise(3)
[11:19:19:496(44cf)] Initialise(4)
[11:19:19:536(44cf)] Initialise(5)
[11:19:19:541(44cf)] Initialise(6)
[11:19:19:597(44cf)] Checking network....
[11:19:24:609(44cf)] Checking network....Done
[11:19:24:747(44cf)] Shader 'layer_subtract_blend_shader' loaded.
[11:19:24:748(44cf)] Shader 'layer_multiply_blend_shader' loaded.
[11:19:24:750(44cf)] Shader 'layer_add_blend_shader' loaded.
[11:19:24:751(44cf)] Shader 'layer_normal_blend_shader' loaded.
[11:19:24:753(44cf)] Shader 'standard_shader' loaded.
[11:19:24:753(44cf)] Shader 'standard_flat_shader' loaded.
[11:19:24:851(44cf)] LoadingState: Languages
[11:19:25:415(44cf)] LoadingState: BeginUserLogin
[11:19:25:512(44cf)] LoadingState: UserLogin
[11:19:26:312(44cf)] CheckForUpdate : Skipping because internet is not available
[11:19:26:313(44cf)] LoadingState: Preferences
[11:19:26:314(44cf)] Analytics :: No Internet connection so bailing.
[11:19:26:795(44cf)] LoadingState: CheckingRSS
[11:19:26:809(44cf)] DoRSSDownload :: No Internet connection
[11:19:26:843(44cf)] LoadingState: InitDnD
[11:19:26:877(44cf)] DnD: Installing gadgets from IDE
[11:19:27:4(44cf)] Discarding document 13b14f7f-c52c-469d-8a12-87978c8b99fe.gml
[11:19:27:282(44cf)] LoadingState: Plugins
[11:19:27:308(44cf)] Could not load file or assembly '11183104 bytes loaded from IDE, Version=2.0.7.158, Culture=neutral, PublicKeyToken=83c29ed24e39e35e' or one of its dependencies. An attempt was made to load a program with an incorrect format.
[11:19:27:331(44cf)] Could not load file or assembly '1917440 bytes loaded from IDE, Version=2.0.7.158, Culture=neutral, PublicKeyToken=83c29ed24e39e35e' or one of its dependencies. An attempt was made to load a program with an incorrect format.
[11:19:27:344(44cf)] Could not load file or assembly '478720 bytes loaded from IDE, Version=2.0.7.158, Culture=neutral, PublicKeyToken=83c29ed24e39e35e' or one of its dependencies. An attempt was made to load a program with an incorrect format.
[11:19:27:833(44cf)] Could not load file or assembly '2106216 bytes loaded from IDE, Version=2.0.7.158, Culture=neutral, PublicKeyToken=83c29ed24e39e35e' or one of its dependencies. An attempt was made to load a program with an incorrect format.
[11:19:27:852(44cf)] Could not load file or assembly '4173928 bytes loaded from IDE, Version=2.0.7.158, Culture=neutral, PublicKeyToken=83c29ed24e39e35e' or one of its dependencies. An attempt was made to load a program with an incorrect format.
[11:19:27:895(44cf)] Could not load file or assembly '13824 bytes loaded from IDE, Version=2.0.7.158, Culture=neutral, PublicKeyToken=83c29ed24e39e35e' or one of its dependencies. An attempt was made to load a program with an incorrect format.
[11:19:27:912(44cf)] Could not load file or assembly '593408 bytes loaded from IDE, Version=2.0.7.158, Culture=neutral, PublicKeyToken=83c29ed24e39e35e' or one of its dependencies. An attempt was made to load a program with an incorrect format.
[11:19:27:942(44cf)] API restriction: The assembly '' has already loaded from a different location. It cannot be loaded from a new location within the same appdomain.
[11:19:27:966(44cf)] API restriction: The assembly '' has already loaded from a different location. It cannot be loaded from a new location within the same appdomain.
[11:19:28:147(44cf)] Could not load file or assembly '69954560 bytes loaded from IDE, Version=2.0.7.158, Culture=neutral, PublicKeyToken=83c29ed24e39e35e' or one of its dependencies. An attempt was made to load a program with an incorrect format.
[11:19:28:216(44cf)] Could not load file or assembly '87552 bytes loaded from IDE, Version=2.0.7.158, Culture=neutral, PublicKeyToken=83c29ed24e39e35e' or one of its dependencies. An attempt was made to load a program with an incorrect format.
[11:19:28:261(44cf)] Could not load file or assembly '2445824 bytes loaded from IDE, Version=2.0.7.158, Culture=neutral, PublicKeyToken=83c29ed24e39e35e' or one of its dependencies. An attempt was made to load a program with an incorrect format.
[11:19:28:274(44cf)] API restriction: The assembly '' has already loaded from a different location. It cannot be loaded from a new location within the same appdomain.
[11:19:28:288(44cf)] Could not load file or assembly '417320 bytes loaded from IDE, Version=2.0.7.158, Culture=neutral, PublicKeyToken=83c29ed24e39e35e' or one of its dependencies. An attempt was made to load a program with an incorrect format.
[11:19:28:313(44cf)] API restriction: The assembly '' has already loaded from a different location. It cannot be loaded from a new location within the same appdomain.
[11:19:28:320(44cf)] API restriction: The assembly '' has already loaded from a different location. It cannot be loaded from a new location within the same appdomain.
[11:19:28:338(44cf)] API restriction: The assembly '' has already loaded from a different location. It cannot be loaded from a new location within the same appdomain.
[11:19:28:478(44cf)] Could not load file or assembly '117760 bytes loaded from IDE, Version=2.0.7.158, Culture=neutral, PublicKeyToken=83c29ed24e39e35e' or one of its dependencies. An attempt was made to load a program with an incorrect format.
[11:19:29:409(44cf)] Assembly C:\Program Files\GameMaker Studio 2\TestPackage.dll not signed
[11:19:30:345(44cf)] Assembly C:\Program Files\GameMaker Studio 2\TilesetGeneration.dll not signed
[11:19:30:453(44cf)] API restriction: The assembly '' has already loaded from a different location. It cannot be loaded from a new location within the same appdomain.
[11:19:30:461(44cf)] Could not load file or assembly '243200 bytes loaded from IDE, Version=2.0.7.158, Culture=neutral, PublicKeyToken=83c29ed24e39e35e' or one of its dependencies. An attempt was made to load a program with an incorrect format.
[11:19:30:529(44cf)] API restriction: The assembly '' has already loaded from a different location. It cannot be loaded from a new location within the same appdomain.
[11:19:30:544(44cf)] File exception 'Could not find file 'C:\Users\stewart.bishop\AppData\Roaming\GameMakerStudio2\stewart.bishop_58521\input.json'.'
[11:19:30:544(44cf)] Failed to load keyboard definitions file:C:\Users\stewart.bishop\AppData\Roaming/GameMakerStudio2\stewart.bishop_58521\input.json
[11:19:30:545(44cf)] LoadingState: Devices
[11:19:30:563(44cf)] LoadingState: WaitOnWelcomePageEnd
[11:19:30:576(44cf)] LoadingState: CheckLaunchProject
[11:19:30:593(44cf)] LoadingState: End
[11:19:30:690(44cf)] Reading help from zip file
[11:19:30:870(44cf)] Multiple layouts with name 'StartPage' specify with guid to ensure correct selection
[11:19:31:30(44cf)] Start page carousel failed, no internet connection: User is offline
[11:19:31:44(44cf)] File exception 'Could not find a part of the path 'C:\Users\stewart.bishop\AppData\Roaming\GameMakerStudio2\stewart.bishop_58521\Marketplace\Tutorials'.'
[11:19:31:74(44cf)] File exception 'Could not find file 'C:\Users\stewart.bishop\AppData\Roaming\GameMakerStudio2\stewart.bishop_58521\recent_tutorials'.'
[11:19:39:684(44cf)] InternalCheckForInternetConnection :: Unable to reach site http://gms.yoyogames.com/ReleaseNotes.html
[11:19:39:685(44cf)] InternalCheckForInternetConnection :: Unable to reach site https://www.yoyogames.com
[11:19:39:685(44cf)] InternalCheckForInternetConnection :: Unable to reach site http://www.baidu.com
[11:19:39:686(44cf)] InternalCheckForInternetConnection :: Unable to reach site http://www.yandex.ru
[11:19:39:687(44cf)] InternalCheckForInternetConnection :: Unable to reach site https://account.yoyogames.com
[11:19:39:717(44cf)] System.AggregateException: One or more errors occurred. ---> System.Threading.Tasks.TaskCanceledException: A task was canceled.
   --- End of inner exception stack trace ---
   at System.Threading.Tasks.Task`1.GetResultCore(Boolean waitCompletionNotification)
   at YoYoStudio.Core.Utils.HttpUtil.<>c.<InternalCheckForInternetConnection>b__41_1(String s)
---> (Inner Exception #0) System.Threading.Tasks.TaskCanceledException: A task was canceled.<---

[11:19:39:718(44cf)] Inner exception: 
[11:19:39:718(44cf)] A task was canceled.
[11:19:39:719(44cf)] System.AggregateException: One or more errors occurred. ---> System.Threading.Tasks.TaskCanceledException: A task was canceled.
   --- End of inner exception stack trace ---
   at System.Threading.Tasks.Task`1.GetResultCore(Boolean waitCompletionNotification)
   at YoYoStudio.Core.Utils.HttpUtil.<>c.<InternalCheckForInternetConnection>b__41_1(String s)
---> (Inner Exception #0) System.Threading.Tasks.TaskCanceledException: A task was canceled.<---

[11:19:39:719(44cf)] Inner exception: 
[11:19:39:720(44cf)] A task was canceled.
[11:19:39:721(44cf)] System.AggregateException: One or more errors occurred. ---> System.Threading.Tasks.TaskCanceledException: A task was canceled.
   --- End of inner exception stack trace ---
   at System.Threading.Tasks.Task`1.GetResultCore(Boolean waitCompletionNotification)
   at YoYoStudio.Core.Utils.HttpUtil.<>c.<InternalCheckForInternetConnection>b__41_1(String s)
---> (Inner Exception #0) System.Threading.Tasks.TaskCanceledException: A task was canceled.<---

[11:19:39:721(44cf)] Inner exception: 
[11:19:39:722(44cf)] A task was canceled.
[11:19:39:723(44cf)] System.AggregateException: One or more errors occurred. ---> System.Threading.Tasks.TaskCanceledException: A task was canceled.
   --- End of inner exception stack trace ---
   at System.Threading.Tasks.Task`1.GetResultCore(Boolean waitCompletionNotification)
   at YoYoStudio.Core.Utils.HttpUtil.<>c.<InternalCheckForInternetConnection>b__41_1(String s)
---> (Inner Exception #0) System.Threading.Tasks.TaskCanceledException: A task was canceled.<---

[11:19:39:723(44cf)] Inner exception: 
[11:19:39:724(44cf)] A task was canceled.
[11:19:39:725(44cf)] System.AggregateException: One or more errors occurred. ---> System.Threading.Tasks.TaskCanceledException: A task was canceled.
   --- End of inner exception stack trace ---
   at System.Threading.Tasks.Task`1.GetResultCore(Boolean waitCompletionNotification)
   at YoYoStudio.Core.Utils.HttpUtil.<>c.<InternalCheckForInternetConnection>b__41_1(String s)
---> (Inner Exception #0) System.Threading.Tasks.TaskCanceledException: A task was canceled.<---

[11:19:39:726(44cf)] Inner exception: 
[11:19:39:727(44cf)] A task was canceled.
[11:39:15:307(44cf)] ResourceManager resources have been cleared
[11:39:15:371(44cf)] Setting ProjectFullFilePathMacro to 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions\OBJLoaderExtensions.yyp'
[11:39:15:371(44cf)] Setting ProjectDirMacro to 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:39:15:372(44cf)] Setting ProjectNameMacro to 'OBJLoaderExtensions'
[11:39:15:442(44cf)] Loading project layout from: C:\Users\stewart.bishop\AppData\Roaming/GameMakerStudio2\stewart.bishop_58521\Layouts\OBJLoaderExtensions\OBJLoaderExtensions\d78c83ee-5ac0-4644-ac71-0f356741f144.xml
[11:39:15:715(44cf)] Caught exception for gadget of type 'window' and style 'window'- Error: An anchor or dimension has been set to percentage with no parent gadget, try using pixel instead
[11:39:15:894(44cf)] Caught exception for gadget of type 'window' and style 'window'- Error: An anchor or dimension has been set to percentage with no parent gadget, try using pixel instead
[11:39:15:937(44cf)] Caught exception for gadget of type 'window' and style 'window'- Error: An anchor or dimension has been set to percentage with no parent gadget, try using pixel instead
[11:39:16:79(44cf)] Caught exception for gadget of type 'window' and style 'window'- Error: An anchor or dimension has been set to percentage with no parent gadget, try using pixel instead
[11:39:16:103(44cf)] Caught exception for gadget of type 'window' and style 'window'- Error: An anchor or dimension has been set to percentage with no parent gadget, try using pixel instead
[11:39:16:146(44cf)] Caught exception for gadget of type 'window' and style 'window'- Error: An anchor or dimension has been set to percentage with no parent gadget, try using pixel instead
[11:39:16:194(44cf)] Loading project 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions\OBJLoaderExtensions.yyp'
[11:39:16:313(44cf)] Creating FolderWatcher at 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:39:17:434(44cf)] Creating FolderWatcher at 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:39:17:589(44cf)] File exception 'Could not find a part of the path 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject\options\AmazonFire\options_AmazonFire.yy'.'
[11:39:17:590(44cf)] File exception 'Could not find a part of the path 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject\options\tvOS\options_tvOS.yy'.'
[11:39:17:602(44cf)] Failed to load module options: AmazonFire
[11:39:17:602(44cf)] Failed to load module options: tvOS
[11:39:17:604(44cf)] Load project took 00:00:01.4100582
[11:39:17:904(44cf)] IDE: SaveProjectIncremental()
[11:39:17:904(44cf)] Setting FolderWatcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions' to False
[11:39:17:907(44cf)] Saving project to: C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions\OBJLoaderExtensions.yyp
[11:39:17:909(44cf)] Saving project at 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions\OBJLoaderExtensions.yyp'
[11:39:17:917(44cf)] Save project took 00:00:00.0070005
[11:39:17:918(44cf)] Setting FolderWatcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions' to True
[11:39:19:880(44cf)] Failed to create mapped file: Cannot create a file when that file already exists.

[11:39:19:886(44cf)] IDE: SaveProjectIncremental()
[11:39:19:886(44cf)] Setting FolderWatcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions' to False
[11:39:19:888(44cf)] Saving project to: C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions\OBJLoaderExtensions.yyp
[11:39:19:889(44cf)] Saving project at 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions\OBJLoaderExtensions.yyp'
[11:39:19:889(44cf)] Save project took 00:00:00.0005000
[11:39:19:890(44cf)] Setting FolderWatcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions' to True
[11:39:19:983(44cf)] starting C:\ProgramData/GameMakerStudio2/Cache/runtimes\runtime-2.0.7.99/bin/Igor.exe -options="C:\Source\IDE\Studio2\Live\Temp\GMS2TEMP\build.bff"  -- Windows Run
[11:39:26:976(44cf)] Suspend: Suspended = 1 for watcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:39:26:986(44cf)] Suspend: Suspended = 1 for watcher 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:39:41:937(44cf)] Resume: Suspended = 0 for watcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:39:41:938(44cf)] Resume: Suspended = 0 for watcher 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:39:42:39(44cf)] elapsed time 00:00:22.0557679s for command "C:\ProgramData/GameMakerStudio2/Cache/runtimes\runtime-2.0.7.99/bin/Igor.exe" -options="C:\Source\IDE\Studio2\Live\Temp\GMS2TEMP\build.bff"  -- Windows Run started at 06/09/2017 11:39:19
[11:39:47:341(44cf)] Failed to create mapped file: Cannot create a file when that file already exists.

[11:39:47:350(44cf)] IDE: SaveProjectIncremental()
[11:39:47:350(44cf)] Setting FolderWatcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions' to False
[11:39:47:351(44cf)] Saving project to: C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions\OBJLoaderExtensions.yyp
[11:39:47:352(44cf)] Saving project at 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions\OBJLoaderExtensions.yyp'
[11:39:47:353(44cf)] Save project took 00:00:00
[11:39:47:353(44cf)] Setting FolderWatcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions' to True
[11:39:47:384(44cf)] starting C:\ProgramData/GameMakerStudio2/Cache/runtimes\runtime-2.0.7.99/bin/Igor.exe -options="C:\Source\IDE\Studio2\Live\Temp\GMS2TEMP\build.bff"  -- Windows Run
[11:39:52:395(44cf)] Suspend: Suspended = 1 for watcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:39:52:405(44cf)] Suspend: Suspended = 1 for watcher 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:39:52:830(44cf)] Resume: Suspended = 0 for watcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:39:52:830(44cf)] Resume: Suspended = 0 for watcher 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:39:53:993(44cf)] Suspend: Suspended = 1 for watcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:39:54:1(44cf)] Suspend: Suspended = 1 for watcher 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:40:10:582(44cf)] Resume: Suspended = 0 for watcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:40:10:584(44cf)] Resume: Suspended = 0 for watcher 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:40:11:985(44cf)] Suspend: Suspended = 1 for watcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:40:11:995(44cf)] Suspend: Suspended = 1 for watcher 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:40:25:392(44cf)] Resume: Suspended = 0 for watcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:40:25:393(44cf)] Resume: Suspended = 0 for watcher 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:40:27:258(44cf)] Suspend: Suspended = 1 for watcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:40:27:267(44cf)] Suspend: Suspended = 1 for watcher 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:40:58:421(44cf)] Resume: Suspended = 0 for watcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:40:58:421(44cf)] Resume: Suspended = 0 for watcher 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:41:54:469(44cf)] Suspend: Suspended = 1 for watcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:41:54:481(44cf)] Suspend: Suspended = 1 for watcher 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:43:01:430(44cf)] Resume: Suspended = 0 for watcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:43:01:430(44cf)] Resume: Suspended = 0 for watcher 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:43:02:484(44cf)] Suspend: Suspended = 1 for watcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:43:02:493(44cf)] Suspend: Suspended = 1 for watcher 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:43:09:163(44cf)] Resume: Suspended = 0 for watcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:43:09:164(44cf)] Resume: Suspended = 0 for watcher 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:43:13:568(44cf)] Loading external modifications to project...
[11:43:13:575(44cf)] Reloading triggered by the following modified files...
[11:43:13:576(44cf)]     changed: 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions\scripts\LoadObjBuffers\LoadObjBuffers.gml'
[11:43:13:576(44cf)]     changed: 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions\scripts\LoadObjBuffers\LoadObjBuffers.yy'
[11:43:13:595(44cf)] IDE: SaveProjectIncremental()
[11:43:13:595(44cf)] Setting FolderWatcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions' to False
[11:43:13:596(44cf)] Saving project to: C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions\OBJLoaderExtensions.yyp
[11:43:13:597(44cf)] Saving project at 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions\OBJLoaderExtensions.yyp'
[11:43:13:597(44cf)] Save project took 00:00:00.0005000
[11:43:13:598(44cf)] Setting FolderWatcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions' to True
[11:43:23:684(44cf)] Suspend: Suspended = 1 for watcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:43:23:694(44cf)] Suspend: Suspended = 1 for watcher 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:44:25:134(44cf)] Resume: Suspended = 0 for watcher 'C:\Source\IDE\Studio2\EA\Projects\OBJLoaderExtensions'
[11:44:25:134(44cf)] Resume: Suspended = 0 for watcher 'C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.0.7.99\BaseProject'
[11:44:25:210(44cf)] elapsed time 00:04:37.8254355s for command "C:\ProgramData/GameMakerStudio2/Cache/runtimes\runtime-2.0.7.99/bin/Igor.exe" -options="C:\Source\IDE\Studio2\Live\Temp\GMS2TEMP\build.bff"  -- Windows Run started at 06/09/2017 11:39:47
log.txt (22,661 bytes)

Stewart Bishop

2017-06-09 12:00

Developer   ~0053518

Received this on 2.0.7.158 with Runtime 2.0.7.99 so confirming the above.

Mike Dailly

2017-07-10 14:50

Developer   ~0054143

Can't reproduce. Can we get an actual repo case?

Mark Alexander

2017-07-12 10:30

Developer   ~0054197

Can't reproduce...

Stewart Bishop

2017-07-18 14:06

Developer   ~0054307

Just had this using IDE 179 and Runtime 115. Was doing a PS4 Run to test something, pressed Stop and my IDE was frozen and started using way more CPU than usual.

Mike Dailly

2017-07-24 10:44

Developer   ~0054479

Just can't get this here..... can you get a repo case or something, then assign back to me please!

Mark Alexander

2017-07-26 09:34

Developer   ~0054559

Hasn't happened since... so can probably be resolved.

Mark Alexander

2017-09-15 18:11

Developer   ~0055536

Just had this happen again with 2.1.1.223 (runtime 2.1.1.145)... Started a build and then stopped it half-way and the UI stalled and I had to force close. I'll add the UI log to the report too.

Mark Alexander

2017-09-15 18:13

Developer  

ui - Copy.log (12,047 bytes)

Sam Cumming

2017-09-20 11:06

Developer   ~0055577

Happened twice for me on 2.1.1.225 / rt 2.1.1.146 - With an existing project and I had to force close. I loaded up the same project and hit Stop again before running and it happened again.

Mark Alexander

2017-09-20 11:09

Developer   ~0055578

Happened again with 9.0.1.1182.

Mark Alexander

2017-09-20 11:11

Developer  

ui - 1182.log (32,357 bytes)

Mark Alexander

2018-01-09 23:14

Developer   ~0057258

Just got it again tonight. IDE: 2.1.3.273

Had a build running, and instead of stopping it and then pressing play, I just pressed play directly. IDE froze and CPU went up to about 60. Stayed like that for a while before I force closed it from task manager. UI and Crash logs added.

Mark Alexander

2018-01-09 23:16

Developer  

ui_crash_10_1_2018.log (527,923 bytes)
ui_10_1_2018.log (527,708 bytes)

Alexander Borup

2018-01-25 09:59

Developer   ~0057476

I had this on latest green last night, too. Nothing useful output in logs. Start build... stop build before it finishes... stall. Killed it via task manager. Only happened once. GMS2 process was spinning high CPU usage

Mark Alexander

2018-04-25 09:30

Developer  

GMS_Stall.png (243,413 bytes)
GMS_Stall.png (243,413 bytes)

Mark Alexander

2018-04-25 09:30

Developer   ~0058843

Last edited: 2018-04-25 09:39

View 2 revisions

Just got this again,. but this time on Android.

IDE: 2.1.4.290
Runtime: 2.1.4.212

I've included a screenshot of what Task Manager shows as well as the UI.log before I force closed GMS2.



ui-2.log (403,045 bytes)

Alexander Borup

2018-08-27 12:28

Developer   ~0061388

Fwiw I am 99% certain this is same issue as the file dialog stall.

Dan

2019-06-25 15:24

Adminstrator   ~0064288

These startup crashes / IDE crashes when opening external processes are all fixed by the change for 0030271. In the month or so since this change was made, we have not seen these issues - and 2.2.3 beta period is so far saying the same thing. Regardless, all of these would now be covered by the new crash-reporting system, so these issues will not be reopened even if we do have reports of crashes still occurring. New reports using the memory dumps will be made instead.

Closing!!!!!!!!!!!!!! (This feels great! ;) )

IDE v2.2.3.429 Runtime v2.2.3.340